{"openapi":"3.1.0","info":{"title":"Kinema API","description":"Create an editable draft or a finished video. Use a workspace-scoped Bearer key. Test keys simulate jobs without paid generation. Video mutations require Idempotency-Key.","version":"1.0.0"},"servers":[{"url":"/v1"}],"paths":{"/estimates":{"post":{"tags":["Billing"],"summary":"Estimate a video","operationId":"estimate_video_estimates_post","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EstimateResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/videos":{"post":{"tags":["Videos"],"summary":"Create a video","operationId":"create_video_videos_post","parameters":[{"name":"idempotency-key","in":"header","required":true,"schema":{"type":"string","title":"Idempotency-Key","minLength":1,"maxLength":128}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoCreate"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}},"get":{"tags":["Videos"],"summary":"List API videos","operationId":"list_videos_videos_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":20,"title":"Limit"}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","default":"","title":"Cursor"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoList"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/videos/{video_id}":{"get":{"tags":["Videos"],"summary":"Retrieve video status","operationId":"get_video_videos__video_id__get","parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/videos/{video_id}/render":{"post":{"tags":["Videos"],"summary":"Render Video","operationId":"render_video_videos__video_id__render_post","parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}},{"name":"idempotency-key","in":"header","required":true,"schema":{"type":"string","title":"Idempotency-Key","minLength":1,"maxLength":128}}],"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/videos/{video_id}/resume":{"post":{"tags":["Videos"],"summary":"Resume Video","operationId":"resume_video_videos__video_id__resume_post","parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}},{"name":"idempotency-key","in":"header","required":true,"schema":{"type":"string","title":"Idempotency-Key","minLength":1,"maxLength":128}}],"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/videos/{video_id}/cancel":{"post":{"tags":["Videos"],"summary":"Cancel Video","operationId":"cancel_video_videos__video_id__cancel_post","parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}},{"name":"idempotency-key","in":"header","required":true,"schema":{"type":"string","title":"Idempotency-Key","minLength":1,"maxLength":128}}],"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/videos/{video_id}/download":{"get":{"tags":["Videos"],"summary":"Download Video","operationId":"download_video_videos__video_id__download_get","parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DownloadResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/catalog":{"get":{"tags":["Resources"],"summary":"Catalog","operationId":"catalog_catalog_get","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/voices":{"get":{"tags":["Resources"],"summary":"Voices","operationId":"voices_voices_get","parameters":[{"name":"search","in":"query","required":false,"schema":{"type":"string","maxLength":100,"default":"","title":"Search"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":0,"default":0,"title":"Page"}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","pattern":"^([0-9]{1,3})?$","default":"","title":"Cursor"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceList"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/avatars":{"get":{"tags":["Resources"],"summary":"Avatars","operationId":"avatars_avatars_get","parameters":[{"name":"search","in":"query","required":false,"schema":{"type":"string","maxLength":100,"default":"","title":"Search"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":0,"default":0,"title":"Page"}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","pattern":"^([0-9]{1,3})?$","default":"","title":"Cursor"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceList"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/brand-profiles":{"get":{"tags":["Resources"],"summary":"Brands","operationId":"brands_brand_profiles_get","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceList"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/usage":{"get":{"tags":["Billing"],"summary":"Usage","operationId":"usage_usage_get","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsageResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/uploads":{"post":{"tags":["Uploads"],"summary":"Create Upload","operationId":"create_upload_uploads_post","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}},"get":{"tags":["Uploads"],"summary":"List Uploads","operationId":"list_uploads_uploads_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":20,"title":"Limit"}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","default":"","title":"Cursor"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadList"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/uploads/{upload_id}/complete":{"post":{"tags":["Uploads"],"summary":"Complete Upload","operationId":"complete_upload_uploads__upload_id__complete_post","parameters":[{"name":"upload_id","in":"path","required":true,"schema":{"type":"string","title":"Upload Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadResponse"}}}},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}},"/uploads/{upload_id}":{"delete":{"tags":["Uploads"],"summary":"Delete Upload","operationId":"delete_upload_uploads__upload_id__delete","parameters":[{"name":"upload_id","in":"path","required":true,"schema":{"type":"string","title":"Upload Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"413":{"description":"Upload too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"429":{"description":"Rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"500":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}},"503":{"description":"Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"}}}}}}}},"components":{"schemas":{"Avatar":{"properties":{"id":{"type":"string","maxLength":120,"minLength":1,"pattern":"^[A-Za-z0-9_-]+$","title":"Id"},"model":{"type":"string","enum":["premium","standard"],"title":"Model","default":"premium"},"coverage":{"type":"integer","enum":[25,45],"title":"Coverage","default":25}},"additionalProperties":false,"type":"object","required":["id"],"title":"Avatar"},"CatalogResponse":{"properties":{"production_modes":{"items":{"type":"string"},"type":"array","title":"Production Modes"},"output_modes":{"items":{"type":"string"},"type":"array","title":"Output Modes"},"languages":{"items":{"type":"string"},"type":"array","title":"Languages"},"avatar_models":{"items":{"type":"string"},"type":"array","title":"Avatar Models"},"avatar_coverage":{"items":{"type":"integer"},"type":"array","title":"Avatar Coverage"},"limits":{"additionalProperties":{"type":"integer"},"type":"object","title":"Limits"},"source_options":{"items":{"type":"string"},"type":"array","title":"Source Options"},"resources":{"additionalProperties":{"type":"string"},"type":"object","title":"Resources"}},"type":"object","required":["production_modes","output_modes","languages","avatar_models","avatar_coverage","limits","source_options","resources"],"title":"CatalogResponse"},"CreditReceipt":{"properties":{"estimated":{"type":"integer","title":"Estimated"},"reserved":{"type":"integer","title":"Reserved"},"charged":{"type":"integer","title":"Charged"}},"type":"object","required":["estimated","reserved","charged"],"title":"CreditReceipt"},"DownloadResponse":{"properties":{"url":{"type":"string","title":"Url"},"expires_at":{"type":"string","title":"Expires At"},"mode":{"type":"string","enum":["test","live"],"title":"Mode"},"notice":{"type":"string","title":"Notice"}},"type":"object","required":["url","expires_at","mode","notice"],"title":"DownloadResponse"},"ErrorDetail":{"properties":{"code":{"type":"string","title":"Code"},"message":{"type":"string","title":"Message"}},"type":"object","required":["code","message"],"title":"ErrorDetail"},"EstimateResponse":{"properties":{"estimated_minutes":{"type":"number","title":"Estimated Minutes"},"estimated_credits":{"type":"integer","title":"Estimated Credits"},"balance":{"type":"integer","title":"Balance"},"mode":{"type":"string","title":"Mode"},"minimum_minutes":{"type":"integer","title":"Minimum Minutes"},"maximum_minutes":{"type":"integer","title":"Maximum Minutes"},"notice":{"type":"string","title":"Notice"}},"type":"object","required":["estimated_minutes","estimated_credits","balance","mode","minimum_minutes","maximum_minutes","notice"],"title":"EstimateResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ResourceList":{"properties":{"data":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Data"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next Cursor"}},"type":"object","required":["data","next_cursor"],"title":"ResourceList"},"Sources":{"properties":{"stock_video":{"type":"boolean","title":"Stock Video","default":true},"web_video":{"type":"boolean","title":"Web Video","default":false},"ai_video":{"type":"boolean","title":"Ai Video","default":false},"stock_images":{"type":"boolean","title":"Stock Images","default":true},"web_images":{"type":"boolean","title":"Web Images","default":false},"ai_images":{"type":"boolean","title":"Ai Images","default":false}},"additionalProperties":false,"type":"object","title":"Sources"},"UploadCreate":{"properties":{"filename":{"type":"string","maxLength":200,"minLength":1,"title":"Filename"},"content_type":{"type":"string","maxLength":100,"minLength":1,"title":"Content Type"},"size":{"type":"integer","maximum":5368709120.0,"exclusiveMinimum":0.0,"title":"Size"}},"additionalProperties":false,"type":"object","required":["filename","content_type","size"],"title":"UploadCreate"},"UploadList":{"properties":{"data":{"items":{"$ref":"#/components/schemas/UploadResponse"},"type":"array","title":"Data"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next Cursor"}},"type":"object","required":["data","next_cursor"],"title":"UploadList"},"UploadResponse":{"properties":{"id":{"type":"string","title":"Id"},"filename":{"type":"string","title":"Filename"},"content_type":{"type":"string","title":"Content Type"},"kind":{"type":"string","title":"Kind"},"size":{"type":"integer","title":"Size"},"status":{"type":"string","enum":["pending","completing","ready"],"title":"Status"},"duration_seconds":{"type":"number","title":"Duration Seconds"},"upload_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Upload Url"},"expires_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Expires At"}},"type":"object","required":["id","filename","content_type","kind","size","status","duration_seconds"],"title":"UploadResponse"},"UsageResponse":{"properties":{"mode":{"type":"string","title":"Mode"},"balance":{"type":"integer","title":"Balance"},"period_start":{"type":"string","title":"Period Start"},"requests":{"type":"integer","title":"Requests"},"errors":{"type":"integer","title":"Errors"},"videos":{"type":"integer","title":"Videos"},"credits_charged":{"type":"integer","title":"Credits Charged"}},"type":"object","required":["mode","balance","period_start","requests","errors","videos","credits_charged"],"title":"UsageResponse"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"VideoCreate":{"properties":{"title":{"type":"string","maxLength":160,"title":"Title","default":""},"script":{"anyOf":[{"type":"string","maxLength":100000,"minLength":200},{"type":"null"}],"title":"Script","description":"A complete narration script. Supply exactly one of script or upload_id."},"upload_id":{"anyOf":[{"type":"string","pattern":"^[a-f0-9]{32}$"},{"type":"null"}],"title":"Upload Id"},"output_mode":{"type":"string","enum":["video","draft"],"title":"Output Mode","default":"video"},"production_mode":{"type":"string","enum":["standard","pro"],"title":"Production Mode","default":"standard"},"language":{"type":"string","enum":["en","es","de","pt","fr","it"],"title":"Language","default":"en"},"voice":{"anyOf":[{"$ref":"#/components/schemas/Voice"},{"type":"null"}]},"avatar":{"anyOf":[{"$ref":"#/components/schemas/Avatar"},{"type":"null"}]},"sources":{"$ref":"#/components/schemas/Sources"},"music":{"type":"boolean","title":"Music","default":false},"graphics":{"type":"boolean","title":"Graphics","default":true},"captions":{"type":"boolean","title":"Captions","default":true},"theme":{"type":"string","enum":["obsidian","dispatch","chronicle","monarch","vector","slate"],"title":"Theme","default":"obsidian"},"max_estimated_credits":{"anyOf":[{"type":"integer","maximum":10000000.0,"minimum":1.0},{"type":"null"}],"title":"Max Estimated Credits","description":"Reject before starting if the initial estimate exceeds this amount. Final measured usage can differ; this is not a final-charge cap."}},"additionalProperties":false,"type":"object","title":"VideoCreate"},"VideoList":{"properties":{"data":{"items":{"$ref":"#/components/schemas/VideoResponse"},"type":"array","title":"Data"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next Cursor"}},"type":"object","required":["data","next_cursor"],"title":"VideoList"},"VideoResponse":{"properties":{"id":{"type":"string","title":"Id"},"title":{"type":"string","title":"Title"},"status":{"type":"string","enum":["accepted","queued","generating","ready","rendering","completed","failed","cancelled"],"title":"Status"},"mode":{"type":"string","enum":["test","live"],"title":"Mode"},"output_mode":{"type":"string","enum":["video","draft"],"title":"Output Mode"},"cancel_requested":{"type":"boolean","title":"Cancel Requested"},"created_at":{"type":"string","title":"Created At"},"updated_at":{"type":"string","title":"Updated At"},"credits":{"$ref":"#/components/schemas/CreditReceipt"},"error":{"anyOf":[{"$ref":"#/components/schemas/ErrorDetail"},{"type":"null"}]},"editor_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Editor Url"}},"type":"object","required":["id","title","status","mode","output_mode","cancel_requested","created_at","updated_at","credits","error","editor_url"],"title":"VideoResponse"},"Voice":{"properties":{"id":{"type":"string","maxLength":120,"minLength":1,"pattern":"^[A-Za-z0-9:_-]+$","title":"Id"},"owner_id":{"type":"string","maxLength":120,"pattern":"^[A-Za-z0-9_-]*$","title":"Owner Id","description":"Public owner ID returned with a community-library voice.","default":""},"model":{"type":"string","enum":["standard","expressive"],"title":"Model","default":"standard"},"settings":{"$ref":"#/components/schemas/VoiceSettings"}},"additionalProperties":false,"type":"object","required":["id"],"title":"Voice"},"VoiceSettings":{"properties":{"stability":{"type":"number","maximum":1.0,"minimum":0.0,"title":"Stability","default":0.5},"similarity_boost":{"type":"number","maximum":1.0,"minimum":0.0,"title":"Similarity Boost","default":0.75},"style":{"type":"number","maximum":1.0,"minimum":0.0,"title":"Style","default":0},"use_speaker_boost":{"type":"boolean","title":"Use Speaker Boost","default":true},"speed":{"type":"number","maximum":1.2,"minimum":0.7,"title":"Speed","default":1}},"additionalProperties":false,"type":"object","title":"VoiceSettings"},"APIError":{"type":"object","required":["error","request_id"],"properties":{"request_id":{"type":"string"},"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string"},"message":{"type":"string"},"fields":{"type":"array","items":{"type":"object","properties":{"path":{"type":"string"},"message":{"type":"string"}}}}}}}}},"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","description":"Workspace API key: kin_test_… or kin_live_…"}}},"security":[{"ApiKey":[]}]}